package smash.appointment.parse;

import java.text.ParseException;
import java.util.Calendar;

public class VisitSqlExporter extends SqlExporter {
	AppointmentSqlExporter appointmentSqlExporter = new AppointmentSqlExporter(); 
	public String toSql(Visit visit, boolean isFinished) throws ParseException {
		StringBuilder result = new StringBuilder("");

		result.append("insert into web_visit (");
		result.append("subject_id,	 ");
		result.append("datetime_begin, ");
		result.append("datetime_end, ");
		result.append("is_finished)");

		result.append("values (");
		result.append("(SELECT id from web_subject where screening_number = "+getStringVal(visit.getSubject().getScreeningNumber()) + "),");
		result.append(getStringVal(visit.getStartDate()) + ",");
		result.append(getStringVal(visit.getEndDate()) + ",");
		result.append(isFinished);
		result.append(");\n");
		for (AppointmentEntry entry: visit.getAppointments()) {
			boolean entryFinished= isFinished;
			if (isBefore(entry, Calendar.getInstance()))
				entryFinished=true;
			result.append(appointmentSqlExporter.toSql(entry, entryFinished)+"\n");
		}

		return result.toString();
	}
}
