from datetime import timedelta

from web.models import *
from web.views import *

def create_subject():
    return Subject.objects.create(first_name="Piotr", last_name="Gawron", sex= Subject.SEX_CHOICES_MALE)

def create_visit(subject):
    return Visit.objects.create(datetime_begin=get_today_midnight_date()+datetime.timedelta(days=-31),
                                datetime_end=get_today_midnight_date()+datetime.timedelta(days=31),
                                subject =subject,
                                is_finished = False)

def create_appointment(visit):
    return Appointment.objects.create(visit = visit, length = 30)
